#pragma once

enum sides
{
	Left,
	Right,
	Front,
	Back,
	Bottom,
	Top,
	Clouds,
	CloudsA
};

struct rSBHeader
{
	char textures[8][64];
	float rotSpeed;
	float rotX, rotY, rotZ;

	float cloudSpeed;
	float cX, cY, cZ;
	bool bHasClouds;
};

class rSkyBox
{
public:
	~rSkyBox();
	void Create(rSBHeader *sbh);
	void Draw();
private:
	void DrawClouds();
	unsigned int textures[8];
	
	int listIndex;

	float rotSpeed;
	float rotX, rotY, rotZ;

	float cloudSpeed;
	float cX, cY, cZ;
	bool bRotating;
	bool bHasClouds;
};
